Skip to main content
GET
/
customers
/
{customerId}
/
balances
Get customer balances
curl --request GET \
  --url https://api.useproxy.ai/v1/customers/{customerId}/balances \
  --header 'Authorization: Bearer <token>'
{
  "currency": "<string>",
  "available": 123,
  "pending": 123,
  "posted": 123,
  "limit": 123,
  "updatedAt": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

API key authentication. Include your API key in the Authorization header as Bearer <api_key>.

Path Parameters

customerId
string
required

Customer ID (e.g., cus_...)

Response

Balance information

currency
string
required
available
number
required

Available balance in cents

pending
number
required

Pending/held amount in cents

posted
number
required

Posted charges in cents

limit
number | null

Credit limit in cents

updatedAt
string<date-time> | null